# Uses of Class
org.eclipse.ui.texteditor.HyperlinkDetectorTargetDescriptor

Packages that use HyperlinkDetectorTargetDescriptor
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of HyperlinkDetectorTargetDescriptor in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return HyperlinkDetectorTargetDescriptor
Modifier and Type
Method
Description
`static HyperlinkDetectorTargetDescriptor[]`
HyperlinkDetectorTargetDescriptor.`getContributedHyperlinkDetectorTargets()`
Returns descriptors for all hyperlink detector extensions.
`HyperlinkDetectorTargetDescriptor`
HyperlinkDetectorDescriptor.`getTarget()`
Returns the hyperlink detector's target descriptor.